<!--
    Copyright (C) 2006 Orbeon, Inc.
  
    This program is free software; you can redistribute it and/or modify it under the terms of the
    GNU Lesser General Public License as published by the Free Software Foundation; either version
    2.1 of the License, or (at your option) any later version.
  
    This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
    without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    See the GNU Lesser General Public License for more details.
  
    The full text of the license is available at http://www.gnu.org/copyleft/lesser.html
-->
<config xmlns="http://www.orbeon.com/oxf/controller"
        xmlns:oxf="http://www.orbeon.com/oxf/processors"
        xmlns:xxforms="http://orbeon.org/oxf/xml/xforms"
        xmlns:xu="http://www.xmldb.org/xupdate"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        instance-passing="forward">

    <!-- ========== Files to serve directly ========== -->
    <files path-info="*.gif"/>
    <files path-info="*.css"/>
    <files path-info="*.js"/>
    <files path-info="*.png"/>
    <files path-info="*.jpg"/>
    <files path-info="*.wsdl"/>
    <files path-info="*.html" mime-type="text/html"/>
    <files path-info="*.java" mime-type="text/plain"/>
    <files path-info="*.txt" mime-type="text/plain"/>

    <!-- ========== Pages ========== -->

   <page id="form"
   path-info="/Test/ask"
   view="/apps/Test/view.xhtml"
   >
   <action when="/personne/action ='autre'" >
     <result page="display" transform="oxf:xupdate">  
     <xu:transformations>
          <xu:update select="/personne12/nom">
            <xu:value-of select="doc('input:instance')/personne/nom"/>
          </xu:update>
          <xu:update select="/personne12/prenom">
            <xu:value-of select="doc('input:instance')/personne/prenom"/>
          </xu:update>
          <xu:update select="/personne12/ville">
            <xu:value-of select="doc('input:instance')/personne/ville"/>
          </xu:update>
          <xu:update select="/personne12/fonction">
            <xu:value-of select="doc('input:instance')/personne/fonction"/>
          </xu:update>
        </xu:transformations>    
     </result>
   </action>
   </page>
   
    <page id="display"
   path-info="/Test/display"
   view="/apps/Test/display.xhtml">
   <action when="1=1" action="/apps/Test/action1.xpl" />

   </page>
   
       <page id="action"
   path-info="/Test/action"
   model="/apps/Test/action1.xpl"
   view="/apps/Test/view.xhtml">

   </page>


    <!-- ========== Services ========== -->



    <!-- ========== Epilogue ========== -->
    <epilogue url="oxf:/config/epilogue.xpl"/>

</config>
